@media (max-width: 766px) {
    .mother-seo-wrapper {
        p {
            font-size: 16px;
            line-height: 24px;
        }

        h1 {
            font-size: 32px;
            line-height: 42px;
        }
        h2 {
            font-size: 28px;
            line-height: 36px;
        }
        h3 {
            font-size: 24px;
            line-height: 32px;
        }
        h4 {
            font-size: 20px;
            line-height: 28px;
        }
        h5 {
            font-size: 18px;
            line-height: 26px;
        }
        h6 {
            font-size: 16px;
            line-height: 24px;
        }
    }
}

@media (min-width: 767px) and (max-width: 1023px) {
    .mother-seo-wrapper {
        p {
            font-size: 18px;
            line-height: 28px;
        }

        h1 {
            font-size: 34px;
            line-height: 46px;
        }
        h2 {
            font-size: 30px;
            line-height: 38px;
        }
        h3 {
            font-size: 26px;
            line-height: 34px;
        }
        h4 {
            font-size: 22px;
            line-height: 30px;
        }
        h5 {
            font-size: 20px;
            line-height: 28px;
        }
        h6 {
            font-size: 18px;
            line-height: 26px;
        }
    }
}

@media (min-width: 1024) {
    .mother-seo-wrapper {
        p {
            font-size: 18px;
            line-height: 28px;
        }

        h1 {
            font-size: 36px;
            line-height: 48px;
        }
        h2 {
            font-size: 32px;
            line-height: 40px;
        }
        h3 {
            font-size: 28px;
            line-height: 36px;
        }
        h4 {
            font-size: 24px;
            line-height: 32px;
        }
        h5 {
            font-size: 22px;
            line-height: 30px;
        }
        h6 {
            font-size: 20px;
            line-height: 28px;
        }
    }
}

.service-internal-link-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 32px;

    ul {
        list-style: none;
        text-align: center;
        padding: 0;
        margin: 0;
        display: flex;
        justify-content: center;
        align-items: center;

        li {
            position: relative;
        }

        li:not(:last-child) {
            padding-right: 38px;
        }

        li:not(:last-child):after {
            content: "";
            border-radius: 100%;
            position: absolute;
            top: 8px;
            right: 15px;
            width: 8px;
            height: 8px;
            background-color: #1D366C;
        }

        a {
            color: #87C6BE;
            font-family: 'Montserrat', sans-serif;
            font-size: 16px;
            font-style: normal;
            font-weight: 500;
            line-height: 24px;
        }

        a:hover {
            color: #017E8B;
        }
    }
}


.mother-seo-wrapper {
    display: flex;
    flex-direction: column;
    gap: 64px;

    p {
        color: #005771;
        font-family: 'Montserrat', sans-serif;
        font-style: normal;
        font-weight: 500;
    }

    h1, h2, h3, h4, h5, h6 {
        color: #005771;
        font-family: 'Montserrat', sans-serif;
        font-style: normal;
        font-weight: 800;
    }

    ol, ul {
        margin-bottom: 16px;
        color: #005771;
    }

    p:last-child {
        margin-bottom: 0;
    }

    .seo-extra-top-content-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 16px;
        text-align: center;

        h2 {
            margin: 0;
        }

        .title-divider-separator {
            display: flex;
            border-block-start: 4px solid #87C6BE;
            width: 100px;
        }
    }

    .mh-100 {
        max-height: 100%;
    }

    .seo-wrapper {
        .seo-container {
            .seo-content-container {
                height: auto;

                .position-relative {
                    position: relative;
                }
            }

            .seo-content {
                margin-bottom: 25px;
                max-height: 100px;
                overflow: hidden;
                transition: max-height 0.2s ease-in-out;
            }

            .seo-hidden-block {
                position: absolute;
                bottom: 0;
                left: 0;
                right: 0;
                height: 60px;
                background: transparent linear-gradient(180deg, rgba(255, 255, 255, 0), #FFFFFF 100%) 0% 0% no-repeat padding-box;
                opacity: 1;
                transition: opacity 200ms ease-in-out;
                pointer-events: none;
                z-index: 1;
            }

            .seo-button {
                display: flex;
                color: #87C6BE;
                font-size: 16px;
                font-weight: 800;
                font-family: 'Montserrat', sans-serif;
                margin: auto;
                justify-content: center;
            }

            .seo-button:hover {
                cursor: pointer;
            }
        }

        .seo-container:not(:last-child) {
            border-bottom: 1px solid #88888836;
            margin-bottom: 50px;
            padding-bottom: 20px;
        }

        .seo-container.opened .seo-hidden-block {
            opacity: 0;
        }
    }
}